<!DOCTYPE html>
<html>

<head>
    <title>INF226</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='css/main.css') }}" />
	<link rel="icon" href="{{ url_for('static', filename='images/favicon.ico') }}" type="image/png" />
       

</head>

<body>

    <meta content="{{ csrf_token() }}" name="csrf_token">

    <div id="link_pane">
        {% if current_user.is_authenticated %}
            
             <a href="{{ url_for('api.get_inbox') }}">Show inbox </a> 
             <a href="{{ url_for('api.get_outbox') }}">Show outbox </a>
             <a href="{{ url_for('api.get_copy' )}}">Show CC </a>
             <a href="{{ url_for('auth.logout') }}">Logout</a>
        {% endif %}
    </div>
               
     <div id="page">
         <marquee>
             <div id="header"></div>
         </marquee>
         <main>
             <pre id="output"></pre>
         </main>
         <div id="controls">
            {% if current_user.is_authenticated %}
             <label for="search">Search user:</label>
             <input type="search" id="search" name="search" maxlength = "100", enterkeyhint="search" value="Enter username...">
             <button type="button" id="searchBtn">Show chat</button>
             {% endif %}
             <button type="button" id="allBtn">Show feed</button>
             <label for="sender">You are:</label>
             <input type="text" id="sender" name="sender" value='{{ current_user.username }}', maxlength="1000">
             <button type="button" id="sendBtn">Publish</button>
             {% if current_user.is_authenticated %}
            
             <form action="{{ url_for('api.new_post') }}">
                <input type="submit" value="Send PM" /> 
            </form>
            {% endif %}
             
             <label for="message">Message:</label>
             <textarea id="message" style="grid-row: span 4;">Have something on your mind?...</textarea>
             
    
             <div id="anchor"></div>


             {% if current_user.role == 'MODERATOR'%}
             <button type="button" id="allPostBtn">Show all PMs</button>
             <button type="button" id="showHistoryBtn">Show user history </button>
             {% endif %}

             {% if current_user.role == 'GUEST' %}
             <a href="{{ url_for('auth.login') }}">Log in or sign up here!</a>
             {% endif %}
             
             
    
          
     </div>


   

</body>


{% block scripts %}
    <script src="{{ url_for('static',filename='js/main.js') }}"></script>
{% endblock %}
    

<dl>
    
</dl>
</html>